> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vehicle Options

> Retrieves the options data for a specific Tesla vehicle based on its unique identifier (ID).

**Parameters:**
- `vehicle_id`: The unique identifier (ID) of the vehicle to retrieve the options.

**Returns:**
- A response containing options data for the vehicle.


Possible Codes in Error Response (see [Errors](https://docs.volteras.com/api-reference/errors) for error response schema and meaning of codes):

- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR
- UNSUPPORTED_OEM



## OpenAPI

````yaml get /v1/vehicles/{vehicle_id}/options
openapi: 3.1.0
info:
  title: VOLTERAS CONNECT
  version: 0.1.0
servers:
  - url: https://api.volteras.com
  - url: https://api.sandbox.volteras.com
security: []
paths:
  /v1/vehicles/{vehicle_id}/options:
    get:
      tags:
        - Vehicles
      summary: Get Vehicle Options
      description: >-
        Retrieves the options data for a specific Tesla vehicle based on its
        unique identifier (ID).


        **Parameters:**

        - `vehicle_id`: The unique identifier (ID) of the vehicle to retrieve
        the options.


        **Returns:**

        - A response containing options data for the vehicle.



        Possible Codes in Error Response (see
        [Errors](https://docs.volteras.com/api-reference/errors) for error
        response schema and meaning of codes):


        - AUTHENTICATION_ERROR

        - REQUEST_VALIDATION_ERROR

        - RESOURCE_NOT_FOUND

        - SERVER_ERROR

        - UNSUPPORTED_OEM
      operationId: get_vehicle_options_v1_vehicles__vehicle_id__options_get
      parameters:
        - name: vehicle_id
          in: path
          required: true
          schema:
            type: string
            title: Vehicle ID
            description: Unique internal identifier for the vehicle.
          description: Unique internal identifier for the vehicle.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VehicleOptions'
      security:
        - OAuth2ClientCredentialsBearer:
            - vehicle:information
components:
  schemas:
    VehicleOptions:
      properties:
        vehicleId:
          type: string
          title: Vehicleid
        vehicleConfig:
          $ref: '#/components/schemas/VehicleConfig'
        options:
          items:
            $ref: '#/components/schemas/Option'
          type: array
          title: Options
      type: object
      required:
        - vehicleId
        - vehicleConfig
        - options
      title: VehicleOptions
    VehicleConfig:
      properties:
        exteriorColor:
          anyOf:
            - type: string
            - type: 'null'
          title: Exteriorcolor
        chargePortType:
          anyOf:
            - type: string
            - type: 'null'
          title: Chargeporttype
        driverAssist:
          anyOf:
            - type: string
            - type: 'null'
          title: Driverassist
        efficiencyPackage:
          anyOf:
            - type: string
            - type: 'null'
          title: Efficiencypackage
        hasAirSuspension:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Hasairsuspension
        hasLudicrousMode:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Hasludicrousmode
        hasSeatCooling:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Hasseatcooling
        headlampType:
          anyOf:
            - type: string
            - type: 'null'
          title: Headlamptype
        interiorTrimType:
          anyOf:
            - type: string
            - type: 'null'
          title: Interiortrimtype
        motorizedChargePort:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Motorizedchargeport
        rearDriveUnit:
          anyOf:
            - type: string
            - type: 'null'
          title: Reardriveunit
        rhd:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Rhd
        spoilerType:
          anyOf:
            - type: string
            - type: 'null'
          title: Spoilertype
        wheelType:
          anyOf:
            - type: string
            - type: 'null'
          title: Wheeltype
      type: object
      title: VehicleConfig
    Option:
      properties:
        code:
          type: string
          title: Code
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - code
      title: Option
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v1/oauth2/token

````